Groovy 1.7.0

## groovy.inspect.swingui
Class TreeNodeBuildingNodeOperation

    java.lang.Object
      org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation
          groovy.inspect.swingui.TreeNodeBuildingNodeOperation

    class TreeNodeBuildingNodeOperation
    extends PrimaryClassNodeOperation

This Node Operation builds up a root tree node for the viewer.

author:
  Hamlet D'Arcy

Property Summary
`ScriptToTreeNodeAdapter` | `adapter`
`def` | `root`
`def` | `showScriptClass`
`def` | `showScriptFreeForm`
`def` | `sourceCollected`

Constructor Summary
`TreeNodeBuildingNodeOperation(ScriptToTreeNodeAdapter adapter, def showScriptFreeForm, def showScriptClass)`

Method Summary
`void` | `call(SourceUnit source, GeneratorContext context, ClassNode classNode)`

Property Detail

### adapter

    final ScriptToTreeNodeAdapter adapter

### root

    final def root

### showScriptClass

    final def showScriptClass

### showScriptFreeForm

    final def showScriptFreeForm

### sourceCollected

    final def sourceCollected

Constructor Detail

### TreeNodeBuildingNodeOperation

    public TreeNodeBuildingNodeOperation(ScriptToTreeNodeAdapter adapter, def showScriptFreeForm, def showScriptClass)

Method Detail

### call

    public void call(SourceUnit source, GeneratorContext context, ClassNode classNode)

Copyright © 2003-2009 The Codehaus. All rights reserved.